# Class WindowContentComponent

#### Implements

- AfterViewInit
- OnInit

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:51

#####
Index

### Constructors

constructor

### Properties

context
injector
loadingIndicatorService
portal
portalOutlet
viewContainerRef
windowRef

### Methods

ngAfterViewInit
ngOnInit

## Constructors

### constructor

- new WindowContentComponent(context, windowRef, injector, viewContainerRef, loadingIndicatorService): WindowContentComponent

- #### Parameters

  - context: any
  - windowRef: WindowRef<any, any>
  - injector: Injector
  - viewContainerRef: ViewContainerRef
  - loadingIndicatorService: LoadingIndicatorService

  #### Returns WindowContentComponent

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:60

## Properties

### context

context: WindowContainerContext<any>

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:53

### `Private` `Readonly` injector

injector: Injector

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:65

### `Private` `Readonly` loadingIndicatorService

loadingIndicatorService: LoadingIndicatorService

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:67

### portal

portal: null | Portal<any> = null

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:55

### portalOutlet

portalOutlet: CdkPortalOutlet

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:58

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:66

### `Private` `Readonly` windowRef

windowRef: WindowRef<any, any>

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:64

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:80

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:72